routes/web.php
<?php

use Illuminate\Support\Facades\Route;

Route::get("/clear",function(){
    Artisan::call("config:clear");
    Artisan::call("cache:clear");
    return 'Done';
});

/*---Login Credintial---*/
Route::get('admin',                 'Auth\LoginController@login');
Route::post('checkAuthentication',  'Auth\LoginController@authenticate');
Route::get('logout',                'Auth\LoginController@logout');
Route::post('reset_password',       'Auth\LoginController@resetPassword');
Route::get('reset_confirm/{email}', 'Auth\LoginController@reset_confirm');

/*---Web---*/
Route::group(['namespace' => '\App\Http\Controllers\Web'],function(){

	Route::get('/',           		  'WebController@index');
	Route::get('message_md',          'WebController@message_md');
	Route::get('message_ch',          'WebController@message_ch');
	Route::get('corporate_profile',   'WebController@corporate_profile');
	Route::get('our_mission',         'WebController@mission');
	Route::get('board_member',        'WebController@board_member');
	Route::get('key_person',          'WebController@key_person');
	Route::get('gmi_business',        'WebController@business');
	Route::get('details/{id}',        'WebController@news_details');
	Route::get('news_event',          'WebController@news_event');
	Route::get('video',               'WebController@video');
	Route::get('tvc_ovc',             'WebController@tvc_ovc');
	Route::get('photo_gallery',       'WebController@photo_gallery');
	Route::get('under_construction',  'WebController@under_construction');
	Route::get('album-images/{id}',   'WebController@albumImages')->name('album-images');
	Route::get('circuler',            'WebController@circuler');
	Route::get('why_join_us',         'WebController@why_join_us');
	Route::get('job_details/{id}',    'WebController@job_details');
	Route::get('contact_us',          'WebController@contact');
	Route::post('sendContactMail',    'WebController@sendContactMail')->name('sendContactMail');
	Route::post('sendResume',         'WebController@sendResume');

});

/*---Admin---*/
Route::group([ 'middleware' => 'checkAuthentication'], function(){

	Route::group(['namespace' => '\App\Http\Controllers\Admin'],function(){

		Route::get('/dashboard',        'AdminController@index');
		Route::get('feedback', 		    'AdminController@contactMessage');
		Route::get('manage-address',    'AdminController@officeAddress');
		Route::get('edit-address/{id}', 'AdminController@editAddress');
		Route::post('update-address',   'AdminController@updateAddress');

		Route::get('manage-slide',      	'SliderController@index');
		Route::get('add-slide',    		    'SliderController@add');
		Route::post('save-slide', 		    'SliderController@store');
		Route::get('edit-slide/{id}', 		'SliderController@edit');
		Route::post('update-slide', 		'SliderController@update');
		Route::get('delete-slide/{id}', 	'SliderController@delete');

		Route::prefix('/notices')->name('notices.')->group(function(){
			Route::get('/', 'NoticeController@index')->name('index');
			Route::get('/create', 'NoticeController@create')->name('create');
			Route::post('/store', 'NoticeController@store')->name('store');
			Route::get('edit/{id}', 'NoticeController@edit')->name('edit');
			Route::post('update/{id}', 'NoticeController@update')->name('update');
			Route::get('destroy/{id}', 'NoticeController@destroy')->name('destroy');
		});

		Route::prefix('/careers')->name('careers.')->group(function(){
			Route::get('/', 'CareerController@index')->name('index');
			Route::get('application', 'CareerController@application')->name('application');
			Route::get('/create', 'CareerController@create')->name('create');
			Route::get('/join_us', 'CareerController@join_us')->name('join_us');
			Route::post('/store', 'CareerController@store')->name('store');
			Route::get('edit/{id}', 'CareerController@edit')->name('edit');
			Route::post('update/{id}', 'CareerController@update')->name('update');
			Route::post('update_join_us/{id}', 'CareerController@update_join_us')->name('update_join_us');
			Route::get('destroy/{id}', 'CareerController@destroy')->name('destroy');
		});

		Route::prefix('/website')->name('website.')->group(function(){
			Route::get('edit/{id}', 'WebsiteInfoController@index')->name('edit');
			Route::post('update/{id}', 'WebsiteInfoController@update')->name('update');
		});

		Route::prefix('/about')->name('about.')->group(function(){
			Route::get('/', 		  'AboutController@index')->name('index');
			Route::get('edit/{id}',   'AboutController@edit')->name('edit');
			Route::post('update/{id}','AboutController@update')->name('update');
		});

		Route::prefix('/welcome')->name('welcome.')->group(function(){
			Route::get('/', 'WelcomeMessageController@index')->name('index');
			Route::get('edit/{id}', 'WelcomeMessageController@edit')->name('edit');
			Route::post('update/{id}', 'WelcomeMessageController@update')->name('update');
		});

		Route::prefix('/mission')->name('mission.')->group(function(){
			Route::get('/', 'OurMissionController@index')->name('index');
			Route::get('edit/{id}', 'OurMissionController@edit')->name('edit');
			Route::post('update/{id}', 'OurMissionController@update')->name('update');
		});

		Route::prefix('/staff')->name('staff.')->group(function(){
			Route::get('/', 'StaffController@index')->name('index');
			Route::get('/create', 'StaffController@create')->name('create');
			Route::post('/store', 'StaffController@store')->name('store');
			Route::get('edit/{id}', 'StaffController@edit')->name('edit');
			Route::post('update/{id}', 'StaffController@update')->name('update');
			Route::get('destroy/{id}', 'StaffController@destroy')->name('destroy');
		});

		Route::prefix('/business')->name('business.')->group(function(){
			Route::get('/', 'BusinessController@index')->name('index');
			Route::get('/create', 'BusinessController@create')->name('create');
			Route::post('/store', 'BusinessController@store')->name('store');
			Route::get('edit/{id}', 'BusinessController@edit')->name('edit');
			Route::post('update/{id}', 'BusinessController@update')->name('update');
			Route::get('destroy/{id}', 'BusinessController@destroy')->name('destroy');
		});

		Route::prefix('/joint')->name('joint.')->group(function(){
			Route::get('/', 'JointVenturesController@index')->name('index');
			Route::get('edit/{id}', 'JointVenturesController@edit')->name('edit');
			Route::post('update/{id}', 'JointVenturesController@update')->name('update');
		});

		Route::prefix('/videos')->name('videos.')->group(function(){
			Route::get('/', 'VideoController@index')->name('index');
			Route::get('/create', 'VideoController@create')->name('create');
			Route::post('/store', 'VideoController@store')->name('store');
			Route::get('edit/{id}', 'VideoController@edit')->name('edit');
			Route::post('update/{id}', 'VideoController@update')->name('update');
			Route::get('destroy/{id}', 'VideoController@destroy')->name('destroy');
		});

		Route::get('manage-album', 		 'AlbumController@index');
		Route::get('add-album', 		 'AlbumController@add');
		Route::post('save-album', 		 'AlbumController@store');
		Route::get('edit-album/{id}', 	 'AlbumController@edit');
		Route::post('update-album',      'AlbumController@update');
		Route::get('delete-album/{id}',  'AlbumController@delete');

		Route::get('manage-gallery', 	  'GalleryController@index');
		Route::get('add-gallery', 		  'GalleryController@add');
		Route::post('save-gallery', 	  'GalleryController@store');
		Route::get('edit-gallery/{id}',   'GalleryController@edit');
		Route::post('update-gallery',     'GalleryController@update');
		Route::get('delete-gallery/{id}', 'GalleryController@delete');

		/*---User---*/
		Route::get('manage-user',              'UserController@manageUser');
		Route::get('add-user',                 'UserController@createUser');
		Route::post('save-user',               'UserController@storeUser');
		Route::get('doUserInactive/{user_id}', 'UserController@inactiveUser');
		Route::get('doUserActive/{user_id}',   'UserController@activeUser');
		Route::get('editProfile/{user_id}',    'UserController@editUser');
		Route::post('updateUser',              'UserController@updateUser');
		Route::get('changePassword/{user_id}', 'UserController@changeUserPassword');
		Route::post('updatePassword',          'UserController@updatePassword');
		Route::get('delete-profile/{user_id}', 'UserController@delete_profile');
		Route::get('SAtoHR/{user_id}',         'UserController@SAtoHR');
		Route::get('HRtoSA/{user_id}',         'UserController@HRtoSA');

	});


});

resources/views/admin/layout/default.blade.php
<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>@yield('title')</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <!-- Bootstrap 3.3.5 -->
    <link rel="stylesheet" href="{{ asset('public/admin/backend/bootstrap/css/bootstrap.min.css') }}">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="{{ asset('public/admin/backend/plugins/font-awesome/css/font-awesome.min.css') }}">
    <!-- Ionicons -->
    <link rel="stylesheet" href="{{ asset('public/admin/css/ionicons.min.css') }}">
    <!-- Theme style -->
    <link rel="stylesheet" href="{{ asset('public/admin/backend/dist/css/AdminLTE.css') }}">
    <!-- AdminLTE Skins. Choose a skin from the css/skins
         folder instead of downloading all of them to reduce the load. -->
    <link rel="stylesheet" href="{{ asset('public/admin/backend/dist/css/skins/_all-skins.min.css') }}">
    <!-- date picker -->
    <link rel="stylesheet" href="{{ asset('public/admin/css/bootstrap-datepicker.min.css') }}">
    <link href="{{ asset('public/admin/css/style.css') }}" rel="stylesheet">
    <!-- DataTables -->
    <link rel="stylesheet" href="{{ asset('public/admin/backend/plugins/datatables/dataTables.bootstrap.css') }}">
  </head>
  <body class="hold-transition skin-blue sidebar-mini">
    <!-- Site wrapper -->
    <div class="wrapper">

      <header class="main-header">
        <!-- Logo -->
        <a href="#" class="logo">
          <!-- mini logo for sidebar mini 50x50 pixels -->
          <span class="logo-mini"></span>{{ logged_in_user_name() }}
          <!-- logo for regular state and mobile devices -->
          <span class="logo-lg"> &nbsp; <i class="fa fa-spinner fa-spin fa-lg" id="ajaxLoader" style="display:none;"></i> </span>
        </a>
        <!-- Header Navbar: style can be found in header.less -->
        <nav class="navbar navbar-static-top" role="navigation">
          <!-- Sidebar toggle button-->
          <a href="#" class="sidebar-toggle" data-toggle="offcanvas" role="button">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </a>

          <div class="col-md-10">
            @if(Session::has('message'))
              <div class="alert alert-block alert-{{Session::get("class")}}">
                <button type="button" class="close" data-dismiss="alert">
                  <i class="ace-icon fa fa-times"></i>
                </button>
                <i class="ace-icon fa fa-check green"></i>
                {{ Session::get("message") }}
              </div>
            @endif
          </div>

          <div class="navbar-custom-menu">
            
            <ul class="nav navbar-nav">
              <!-- User Account: style can be found in dropdown.less -->
              <li class="dropdown user user-menu">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                    @php 
	                    $userID = logged_in_user_id();
	                    $user = DB::table('users')->where('id', $userID)->first();
	                  @endphp
                    @if($user->image == NULL)
                      {{ Str::substr(logged_in_user_name(), 0,1 ) }}
                    @else
                      <img src="{{ asset($user->image) }}" class="user-image" alt="User Image">
                	@endif
                    <span class="hidden-xs">
		                {{ logged_in_user_name() }}
                  	</span>
                </a>
                <ul class="dropdown-menu">
                  <!-- User image -->
                  <li class="user-header">
                  	@php 
	                    $userID = logged_in_user_id();
	                    $user = DB::table('users')->where('id', $userID)->first();
	                  @endphp
                    @if($user->image == NULL)
                      {{ Str::substr(logged_in_user_name(), 0,1 ) }}
                    @else
                      <img src="{{ asset($user->image) }}" class="img-circle" alt="User Image">
                	  @endif
                    <p>
                      {{ logged_in_user_name() }} - {{ $user->email }}
                    </p>

                  </li>
                  <!-- Menu Footer-->
                  <li class="user-footer">
                    <div class="pull-right">
                      <a href="{{ URL::to('logout') }}" class="btn btn-default btn-flat">Sign out</a>
                    </div>

                    <div class="pull-left">
                      <a href="{{ url('editProfile/'.$userID) }}" class="btn btn-default btn-flat">Change Profile</a>
                    </div>
                  </li>
                </ul>
              </li>
            </ul>
          </div>
        </nav>
      </header>

      <!-- =============================================== -->

		<!-- sidebar -->
        @include('admin.layout.template_left')
        <!-- //sidebar -->
        <!-- main panel -->
        @yield('content')
        <!-- main-panel ends -->

		@include('admin.layout.template_footer')

resources/views/admin/layout/template_footer.blade.php
	    <footer class="main-footer">
	        <div class="pull-right hidden-xs">
	          <b>Powered by</b> <a href="http://wanitbd.com/">WAN IT</a>
	        </div>
	        <strong>Copyright &copy; <?= date('Y'); ?> <a href="javascript:">JMI</a>.</strong> All rights reserved.
	    </footer>

	      <!-- Add the sidebar's background. This div must be placed
	           immediately after the control sidebar -->
	    <div class="control-sidebar-bg"></div>
    </div><!-- ./wrapper -->

    <!-- jQuery 2.1.4 -->
    <script src="{{ asset('public/admin/backend/plugins/jQuery/jQuery-2.1.4.min.js') }}"></script>
    <!-- Bootstrap 3.3.5 -->
    <script src="{{ asset('public/admin/backend/bootstrap/js/bootstrap.min.js') }}"></script>
    <!-- SlimScroll -->
    <script src="{{ asset('public/admin/backend/plugins/slimScroll/jquery.slimscroll.min.js') }}"></script>
    <!-- FastClick -->
    <script src="{{ asset('public/admin/backend/plugins/fastclick/fastclick.min.js') }}"></script>
    <!-- AdminLTE App -->
    <script src="{{ asset('public/admin/backend/dist/js/app.min.js') }}"></script>
    <!-- AdminLTE for datepicker purposes -->
    <script src="{{ asset('public/admin/js/bootstrap-datepicker.min.js') }}"></script>
    <!-- DataTables -->
    <script src="{{ asset('public/admin/backend/plugins/datatables/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('public/admin/backend/plugins/datatables/dataTables.bootstrap.min.js') }}"></script>
    <!-- notification -->
    <script src="{{ asset('public/admin/js/jquery.toaster.js') }}"></script>
    <!-- cusotm function -->
    <script src="{{ asset('public/admin/js/function.js') }}"></script>

    <script type="text/javascript">
      $('.datepicker').datepicker({
          autoclose: true,
          weekStart: 6,
          todayHighlight: true,
          todayBtn: "linked",
          format : 'yyyy-mm-dd'
      });

      $(function () {
        if($("#members_list_table").length>0){
            $("#members_list_table").DataTable();
        }
      });
    </script>
  </body>
</html>

resources/views/admin/layout/template_left.blade.php
<!-- Left side column. contains the sidebar -->
<aside class="main-sidebar">
    <!-- sidebar: style can be found in sidebar.less -->
    <section class="sidebar">
    	<ul class="sidebar-menu">
        	<li>
        		<a href="{{ url('dashboard') }}"><i class="fa fa-home"></i> <span>Dashboard</span> <i class="fa fa-angle-right pull-right"></i></a>
        	</li>

        	@if(logged_in_role_id() == 1)

	        	<li class="treeview">
					<a href="javascript:">
						<i class="fa fa-slideshare"></i> <span>Slider Panel</span> <i class="fa fa-angle-left pull-right"></i>
					</a>
					<ul class="treeview-menu">
						<li><a href="{{ url('add-slide') }}"><i class="fa fa-plus"></i>Add Slider</a></li>
						<li><a href="{{ url('manage-slide') }}"><i class="fa fa-eye"></i>View Slider</a></li>
					</ul>
	            </li>

	        	<li>
	        		<a href="{{ route('website.edit',1) }}"><i class="fa fa-info-circle"></i> <span>Website Info</span> <i class="fa fa-angle-right pull-right"></i></a>
	        	</li>

	            <li class="treeview">
					<a href="javascript:">
						<i class="fa fa-building"></i> <span>Circuler Panel</span> <i class="fa fa-angle-left pull-right"></i>
					</a>
					<ul class="treeview-menu">
						<li><a href="{{ route('careers.join_us') }}"><i class="fa fa-plus"></i>Join Us</a></li>
						<li><a href="{{ route('careers.create') }}"><i class="fa fa-plus"></i>Add Circuler</a></li>
						<li><a href="{{ route('careers.index') }}"><i class="fa fa-eye"></i>View Circuler</a></li>
						<li><a href="{{ route('careers.application') }}"><i class="fa fa-eye"></i>View Application</a></li>
					</ul>
	            </li>

	            <li>
	            	<a href="{{ route('welcome.index') }}"><i class="fa fa-comments"></i> <span>Welcome Message Panel</span> <i class="fa fa-angle-right pull-right"></i></a>
	            </li>

	            <li>
	            	<a href="{{ route('mission.index') }}"><i class="fa fa-user-md"></i> <span>Profile & Mission Panel</span> <i class="fa fa-angle-right pull-right"></i></a>
	            </li>

	            <li class="treeview">
					<a href="javascript:">
						<i class="fa fa-users"></i> <span>Member Panel</span> <i class="fa fa-angle-left pull-right"></i>
					</a>
					<ul class="treeview-menu">
						<li><a href="{{ route('staff.create') }}"><i class="fa fa-plus"></i>Add Member</a></li>
						<li><a href="{{ route('staff.index') }}"><i class="fa fa-eye"></i>View Member</a></li>
					</ul>
	            </li>

	            <li>
	            	<a href="{{ route('joint.index') }}"><i class="fa fa-venus-mars"></i> <span>Joint Ventures Panel</span> <i class="fa fa-angle-right pull-right"></i></a>
	            </li>

	            <li class="treeview">
					<a href="javascript:">
						<i class="fa fa-briefcase"></i> <span>JMI Business Panel</span> <i class="fa fa-angle-left pull-right"></i>
					</a>
					<ul class="treeview-menu">
						<li><a href="{{ route('business.create') }}"><i class="fa fa-plus"></i>Add JMI Business</a></li>
						<li><a href="{{ route('business.index') }}"><i class="fa fa-eye"></i>View JMI Business</a></li>
					</ul>
	            </li>

	            <li class="treeview">
					<a href="javascript:">
						<i class="fa fa-newspaper-o"></i> <span>Notice, News & Event Panel</span> <i class="fa fa-angle-left pull-right"></i>
					</a>
					<ul class="treeview-menu">
						<li><a href="{{ route('notices.create') }}"><i class="fa fa-plus"></i>Add Notice</a></li>
						<li><a href="{{ route('notices.index') }}"><i class="fa fa-eye"></i>View Notice</a></li>
					</ul>
	            </li>

	            <li class="treeview">
					<a href="javascript:">
						<i class="fa fa-camera"></i> <span>Media Panel</span> <i class="fa fa-angle-left pull-right"></i>
					</a>
					<ul class="treeview-menu">
						<li><a href="{{ url('add-gallery') }}"><i class="fa fa-plus"></i>Add Gallery</a></li>
						<li><a href="{{ url('manage-gallery') }}"><i class="fa fa-eye"></i>View Gallery</a></li>
					</ul>
	            </li>

	            <li class="treeview">
					<a href="javascript:">
						<i class="fa fa-video-camera"></i> <span>Video Panel</span> <i class="fa fa-angle-left pull-right"></i>
					</a>
					<ul class="treeview-menu">
						<li><a href="{{ route('videos.create') }}"><i class="fa fa-plus"></i>Add Video</a></li>
						<li><a href="{{ route('videos.index') }}"><i class="fa fa-eye"></i>View Video</a></li>
					</ul>
	            </li>

	            <li>
	            	<a href="{{ url('manage-address') }}"><i class="fa fa-map"></i> <span>Contact Panel</span> <i class="fa fa-angle-right pull-right"></i></a>
	            </li>

	            <li>
	        		<a href="{{ url('feedback') }}"><i class="fa fa-info-circle"></i> <span>Feedback Panel</span> <i class="fa fa-angle-right pull-right"></i></a>
	        	</li>

	            <li class="treeview">
					<a href="javascript:">
						<i class="fa fa-users"></i> <span>User Panel</span> <i class="fa fa-angle-left pull-right"></i>
					</a>
					<ul class="treeview-menu">
						<li><a href="{{ url('add-user') }}"><i class="fa fa-plus"></i>Add User</a></li>
						<li><a href="{{ url('manage-user') }}"><i class="fa fa-eye"></i>View User</a></li>
					</ul>
	            </li>
	        @endif
	        @if(logged_in_role_id() == 2)
	        	<li class="treeview">
					<a href="javascript:">
						<i class="fa fa-building"></i> <span>Circuler Panel</span> <i class="fa fa-angle-left pull-right"></i>
					</a>
					<ul class="treeview-menu">
						<li><a href="{{ route('careers.create') }}"><i class="fa fa-plus"></i>Add Circuler</a></li>
						<li><a href="{{ route('careers.index') }}"><i class="fa fa-eye"></i>View Circuler</a></li>
						<li><a href="{{ route('careers.application') }}"><i class="fa fa-eye"></i>View Application</a></li>
					</ul>
	            </li>
	        @endif
      	</ul>
    </section>
    <!-- /.sidebar -->
</aside>